Bug 840429 - [log] ovirt-engine-backend: GetVmsFromExportDomainQuery returns with UndeclaredThrowableException when spm reboots during export of vm's
[log] ovirt-engine-backend: GetVmsFromExportDomainQuery returns with Undeclar...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity low
: ---
: 3.1.0
Assigned To: Ayal Baron
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 07:16 EDT by Dafna Ron
Modified: 2016-02-10 11:32 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:37:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (173.45 KB, application/x-xz)
2012-07-16 07:16 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-07-16 07:16:04 EDT
Created attachment 598421 [details]
log

Description of problem:

we do fail actions when spm reboots during vm's export. 
i see two types of errors in the engine log (since event log only shows 

2012-07-16 13:54:53,202 ERROR [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (ajp-/0.0.0.0:8009-2) IrsBroker::Failed::GetVmsInfoVDS due to: ConnectException: Connection refused

which is not great but at least we have connection refused in it. 

and than we have: 

2012-07-16 13:54:53,203 ERROR [org.ovirt.engine.core.bll.storage.GetVmsFromExportDomainQuery] (ajp-/0.0.0.0:8009-2) Query GetVmsFromExportDomainQuery failed. Exception message is VdcBLLException: java.lang.reflect.UndeclaredThrowableException


Version-Release number of selected component (if applicable):

si10

How reproducible:

100%

Steps to Reproduce:
1. export several vms at once 
2. reboot spm 
3.
  
Actual results:

we get  java.lang.reflect.UndeclaredThrowableException in log on GetVmsFromExportDomainQuery


Expected results:

we should either fix the exception or remove from log

Additional info:full log attached
Comment 1 Ayal Baron 2012-08-08 05:36:48 EDT
What is reported in the tasks tab?
Comment 2 Dafna Ron 2012-08-08 06:44:51 EDT
this will not be reported as a task. 
the query is run when we select the vms/template sub tab of the Export domain. 
the UI will show a sand clock at first and than will show a blank page (as if the domain is empty).
Comment 3 Itamar Heim 2013-03-12 05:37:44 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.